package top.daxian1218.dust.db.base;

import top.daxian1218.dust.commons.data.HDataRow;

import java.util.List;

/**
 * 更新结果
 * @author hst
 */
public class UpdateResult {
    private int[] batchCount;
    private int count;
    private List<String> updateIds;
    private List<HDataRow> updateRows;

    public UpdateResult() {
    }

    public UpdateResult(int count) {
        batchCount = new int[]{count};
        this.count = count;
    }

    public UpdateResult(int[] counts) {
        batchCount = counts;
        this.count = batchCount.length > 0 ? batchCount[0] : 0;
    }


    public int[] getBatchCount() {
        return batchCount;
    }

    public void setBatchCount(int[] batchCount) {
        this.batchCount = batchCount;
    }

    public int getCount() {
        return count;
    }

    public void setCount(int count) {
        this.count = count;
    }

    public List<String> getUpdateIds() {
        return updateIds;
    }

    public void setUpdateIds(List<String> updateIds) {
        this.updateIds = updateIds;
    }

    public List<HDataRow> getUpdateRows() {
        return updateRows;
    }

    public void setUpdateRows(List<HDataRow> updateRows) {
        this.updateRows = updateRows;
    }
}
