package top.daxian1218.dust.db.dict.event;

import top.daxian1218.dust.db.dict.DictObjColumn;

/**
 * @author hst
 */
public class ColumnsChangedEventArgs extends ObjEventArgs {

    private ActionType actionType;
    private DictObjColumn column;

    public ColumnsChangedEventArgs(DictObjColumn col, ActionType actionType)
    {
         super(col.getDictObj());
         this.column = col;
         this.actionType = actionType;
    }

    public ActionType getActionType() {
        return actionType;
    }

    public void setActionType(ActionType actionType) {
        this.actionType = actionType;
    }

    public DictObjColumn getColumn() {
        return column;
    }

    public void setColumn(DictObjColumn column) {
        this.column = column;
    }
}
