package top.daxian1218.dust.db.dict.event;

import top.daxian1218.dust.db.dict.DictObj;
import top.daxian1218.dust.db.dict.DictObjColumn;
import top.daxian1218.dust.db.dict.DictObjField;
import top.daxian1218.dust.db.dict.DictObjRow;

/**
 * @author hst
 */
public class ValueChangedEventArgs extends ObjEventArgs {

    private final DictObjRow row;
    private final DictObjColumn column;


    private Object newValue;
    private Object oldValue;

    public ValueChangedEventArgs(DictObj obj, DictObjRow row, DictObjColumn column, Object newValue, Object oldValue) {
        super(obj);
        this.row = row;
        this.column = column;
        this.newValue = newValue;
        this.oldValue = oldValue;
    }

    public Object getNewValue() {
        return newValue;
    }

    public void setNewValue(Object newValue) {
        this.newValue = newValue;
    }

    public Object getOldValue() {
        return oldValue;
    }

    public void setOldValue(Object oldValue) {
        this.oldValue = oldValue;
    }

    public DictObjRow getRow() {
        return row;
    }

    public DictObjColumn getColumn() {
        return column;
    }

}
