package top.daxian1218.dust.db.sql.command;

import top.daxian1218.dust.db.DustDbException;
import top.daxian1218.dust.db.base.HDataCommand;
import top.daxian1218.dust.db.sql.HSqlCommand;
import top.daxian1218.dust.db.sql.ProgramParameter;
import top.daxian1218.dust.db.sql.SqlCommandType;

/**
 * @author hst
 */
public class HStoreProcedureSqlCommand extends HSqlCommand {
    public HStoreProcedureSqlCommand(String name) {
        super(name);
        setCommandType(SqlCommandType.PROGRAM);
    }

    @Override
    public HDataCommand setParameter(String key, Object value) throws DustDbException {
        if (!(value instanceof ProgramParameter)) {
            throw new DustDbException("存储过程仅支持ProgramParameter参数");
        }

        ProgramParameter p = (ProgramParameter) value;
        p.setParamName(key);
        return super.setParameter(key, value);
    }
}
