package top.daxian1218.dust.db.support.oracle.exception;

import top.daxian1218.dust.db.DustDbException;
import top.daxian1218.dust.db.base.HDataCommand;
import top.daxian1218.dust.db.sql.IExceptionHandler;

import java.sql.SQLException;

public class DefaultHandler implements IExceptionHandler {
    @Override
    public boolean support(String message) {
        return true;
    }

    @Override
    public DustDbException getException(SQLException sqe, HDataCommand cmd) {
        return DustDbException.fromDbException(sqe, cmd, "数据库发生异常");
    }
}
