package top.daxian1218.dust.db.support.oracle.exception;

import org.apache.commons.lang3.StringUtils;
import top.daxian1218.dust.db.DustDbException;
import top.daxian1218.dust.db.base.HDataCommand;
import top.daxian1218.dust.db.sql.IExceptionHandler;

import java.sql.SQLException;

public class Ora12899 implements IExceptionHandler {
    @Override
    public boolean support(String message) {
        return StringUtils.contains(message, "ORA-12899");
    }

    @Override
    public DustDbException getException(SQLException sqe, HDataCommand cmd) {
        return DustDbException.fromDbException(sqe, cmd, "列值过大，导致超界");
    }
}
