package top.daxian1218.dust.db.dict;

import top.daxian1218.dust.commons.generic.Preconditions;

import java.util.HashMap;
import java.util.Map;

/**
 * @author hst
 */
public class DictObjCache {
    private static final Map<Long, Object> MAP_OBJ = new HashMap<>();

    public static <T> T find(long id) {
        return (T)MAP_OBJ.get(id);
    }

    public static <T> void put(long id, T obj) {
        Preconditions.checkNotNull(obj);

        MAP_OBJ.put(id, obj);
    }
}
