package top.daxian1218.dust.db.dict;

import java.util.ArrayList;
import java.util.List;

/**
 * 对象关系，表与表之间的从属关系
 */
public class DictObjRelation {

    private final DictObj master;

    private DictObj detail;

    public DictObjRelation(DictObj master) {
        this.master = master;
    }

    private final List<String> masterKeys = new ArrayList<>();

    private final List<String> detailKeys = new ArrayList<>();

    public DictObj getMaster() {
        return master;
    }

    public DictObj getDetail() {
        return detail;
    }

    public void setDetail(DictObj detail) {
        this.detail = detail;
    }

    public List<String> getMasterKeys() {
        return masterKeys;
    }

    public List<String> getDetailKeys() {
        return detailKeys;
    }
}
