package top.daxian1218.dust.db.dict;

import top.daxian1218.dust.db.base.IDataAdapter;

/**
 * @author hst
 */
public interface IDictObjContainer {
    /**
     * 获取执行适配器
     */
    IDataAdapter getDataAdapter();

    /**
     * 根据应用和字典编码创建字典对象
     * @param app
     * @param code
     * @return
     */
    DictObj createAsync(String app, String code);

    /**
     * 根据字典id创建字典对象
     * @param id
     * @return
     */
    DictObj createAsync(long id);

    /**
     * 根据字典对象的ID，构建对象结构
     * @param obj
     * @return
     */
    DictObj load(DictObj obj);
}
