package top.daxian1218.dust.db.dict.event;

import top.daxian1218.dust.db.dict.DictObj;
import top.daxian1218.dust.db.dict.DictObjColumn;

/**
 * @author hst
 */
public class CurrentChangedEventArgs extends ObjEventArgs {

    private int oldIndex;
    private int newIndex;

    public CurrentChangedEventArgs(DictObj obj, int oldIndex, int newIndex)
    {
         super(obj);
         this.newIndex = newIndex;
         this.oldIndex = oldIndex;
    }

    public int getOldIndex() {
        return oldIndex;
    }

    public void setOldIndex(int oldIndex) {
        this.oldIndex = oldIndex;
    }

    public int getNewIndex() {
        return newIndex;
    }

    public void setNewIndex(int newIndex) {
        this.newIndex = newIndex;
    }
}
