package top.daxian1218.dust.db.dict.express;

import top.daxian1218.dust.db.dict.DictObjColumn;
import top.daxian1218.dust.db.dict.DictObjRow;
import org.apache.commons.lang3.StringUtils;

/**
 * @author hst on 2020-8-1.
 */
public class ExprItemGT extends ExprItem {

    @Override
    public boolean check(DictObjRow row) {
        DictObjColumn col = row.getDictObj().getColumn(this.left);
        Object srcVal = col.toValue(row.getValue(this.left));
        Object destVal = null;
        if (StringUtils.equals(this.right, TokenType.NULL.name)) {
            destVal = col.toValue(this.right);
        }

        return compare(srcVal, destVal) > 0;
    }
}
