package top.daxian1218.dust.db.support.oracle.exception;

import org.apache.commons.lang3.StringUtils;
import top.daxian1218.dust.db.DustDbException;
import top.daxian1218.dust.db.base.HDataCommand;
import top.daxian1218.dust.db.sql.IExceptionHandler;

import java.sql.SQLException;

public class Ora01427 implements IExceptionHandler {
    @Override
    public boolean support(String message) {
        return StringUtils.contains(message, "ORA-01427");
    }

    @Override
    public DustDbException getException(SQLException sqe, HDataCommand cmd) {
        return DustDbException.fromDbException(sqe, cmd, "单行子查询返回多于一个行");
    }
}
